package com.chenyang.druid.sql.dialect.mysql.ast;

import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public abstract class MySqlObjectImpl extends SQLObjectImpl implements MySqlObject {
   protected void accept0(SQLASTVisitor v) {
      if (v instanceof MySqlASTVisitor) {
         this.accept0((MySqlASTVisitor)v);
      } else {
         throw new IllegalArgumentException("not support visitor type : " + v.getClass().getName());
      }
   }

   public abstract void accept0(MySqlASTVisitor var1);
}
